
/*
 * execution-time utility routines.
 * Copyright (C) 1999   Rick Gorton gorton@world.std.com
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <stdio.h>
#include "datatypes.h"

/*
 * General utility routines to collect dynamic data about instructions
 */

void CallSiteCount(int this_insn)
{
  dyn_count[this_insn]++;
}

void DynamicInit(char * logfilename)
{
  int	i,j;

  Inst_Logfile = fopen(logfilename, "a+");
  DynamicApplicationInit();
}

void DynamicFini()
{
  (void) DumpDynamicData();
  fclose(Inst_Logfile);
}

