
/*
 *	Declaration of utility functions
 * Copyright (C) 1999   Rick Gorton gorton@world.std.com
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

Inst *PrevIntReg(Inst *this_inst, RegvType this_reg);
Inst *PrevIntRegUse(Inst *this_inst, RegvType this_reg);
Inst *PrevIntRegSet(Inst *this_inst, RegvType this_reg);

Inst *NextIntReg(Inst *this_inst, RegvType this_reg);
Inst *NextIntRegUse(Inst *this_inst, RegvType this_reg);
Inst *NextIntRegSet(Inst *this_inst, RegvType this_reg);

Inst *PrevFloatReg(Inst *this_inst, RegvType this_reg);
Inst *PrevFloatRegUse(Inst *this_inst, RegvType this_reg);
Inst *PrevFloatRegSet(Inst *this_inst, RegvType this_reg);

Inst *NextFloatReg(Inst *this_inst, RegvType this_reg);
Inst *NextFloatRegSet(Inst *this_inst, RegvType this_reg);
Inst *NextFloatRegUse(Inst *this_inst, RegvType this_reg);

BOOLEAN SetsIntReg(Inst *this_inst, RegvType this_reg);
BOOLEAN UsesIntReg(Inst *this_inst, RegvType this_reg);

BOOLEAN SetsFloatReg(Inst *this_inst, RegvType this_reg);
BOOLEAN UsesFloatReg(Inst *this_inst, RegvType this_reg);

enum Opcodes GetOpcode(Inst *this_inst);
int GetLitValue(Inst *this_inst);
