/*
 * Sample program
 * Copyright (C) 1999   Rick Gorton gorton@world.std.com
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


  typedef union {
	double	dst;
	long	lst;
	int	ist[2];
	short	sst[4];
	char	cst[8];
	} YUKKY_U;


int do_char_stuff(YUKKY_U *yptr, double dval, int ival, int cval)
{
  yptr->dst = dval;
  yptr->ist[0] = 0x3ff00000;
  yptr->cst[5] = cval;

  return yptr->ist[1];
}

main(int argv)
{
  long	dummyval;
  double	fred;
  double	bramble;
  YUKKY_U	yukky;

  printf("Sample program to be atomized\n");
  dummyval = (short) (1 << argv);
  dummyval = (int) dummyval;
  bramble = (double) 4;
  fred = 3.0 / (float) bramble;

  do_char_stuff((void *)&yukky, fred, 0x3ff00000, 0x4);
}

void rval(double *in1, double *in2, float *out1, float *out2)
{
 *out1 = *in1;
 *in2 = *out2;
}
